## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.action
Class DoubleClickActionProviderExt

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.sqltools.routineeditor.ui.actions.DoubleClickActionProvider
                  org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.action.DoubleClickActionProviderExt

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class DoubleClickActionProviderExt

extends DoubleClickActionProvider

Author:
  Hui Cao

Constructor Summary
`DoubleClickActionProviderExt()`

Method Summary
`void` `fillActionBars(org.eclipse.ui.IActionBars actionBars)`
`void` `setContext(org.eclipse.ui.actions.ActionContext context)`

Methods inherited from class org.eclipse.datatools.sqltools.routineeditor.ui.actions.DoubleClickActionProvider
`init`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, fillContextMenu, getContext, updateActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleClickActionProviderExt

    public DoubleClickActionProviderExt()

Method Detail

### fillActionBars

    public void fillActionBars(org.eclipse.ui.IActionBars actionBars)

  Overrides:
    `fillActionBars` in class `DoubleClickActionProvider`

### setContext

    public void setContext(org.eclipse.ui.actions.ActionContext context)

  Overrides:
    `setContext` in class `org.eclipse.ui.actions.ActionGroup`